 
**************************************************************
*** 2D Non-linear Modeling using FD with Lax-Wendroff method *
*** Author: Alejandro Cabrales                               *
*** Stanford Exploration Project/Petroleos Mexicanos, 2017   *
**************************************************************
 
 read_parameters: Reading parameters from command line


Segy2sep:   cabrales@storm.stanford.edu   Thu Mar 23 18:00:41 2017
		sets next: in="/scr1/cabrales/Marm_model.H@"
		junkME=0
		hff="Marm_model.H@@"
		same_record_number=1
	 	n2=1 o2=1 d2=1 label2="trace number" 

n3=1 n4=1 n5=1 n6=1 n7=1 n8=1 n9=1 

	n1=300  o1=0.000000  d1=0.000000   label1="none"   unit1="none"
		gff="-1"
		esize=4
		data_format="xdr_float"
		junkME=0
		same_record_number=1
	 	n2=298 o2=3875 d2=25 label2="trace number" 

n3=1 n4=1 n5=1 n6=1 n7=1 n8=1 n9=1 

	n1=300  o1=0.000000  d1=10.0   label1="none"   unit1="none"
		gff="-1"
		esize=4


/opt/SEP/SEP7.0/bin/Math:   cabrales@storm.stanford.edu   Sat Apr  8 23:38:29 2017
		sepstr_ready_out() : sets next in="stdin"
		esize=4
	#Using 1/file1/file1 to produce real data

		#file1="Marmousi/Dat/Marm_model.H"
		data_format="xdr_float"


Smooth:   cabrales@storm.stanford.edu   Sat Apr  8 23:38:29 2017
		sets next: in="/scr1/cabrales/Smooth@1X9djA"
	Data smoothed with tridiagonal solver leaky().
		Data smoothed with: rect1=2
		Data smoothed with: rect2=2
		Data smoothed with: rect3=1
		data_format="xdr_float"



/opt/SEP/SEP7.0/bin/Math:   cabrales@storm.stanford.edu   Sat Apr  8 23:38:29 2017
		sets next: in="./Marmousi/Dat/Marm_model_nl.H@"
		esize=4
	#Using 1/file1^0.5 to produce real data

		#file1="Marmousi/Dat/slow.H"
		data_format="xdr_float"


./Bin/nonlin2d.x:   cabrales@storm.stanford.edu   Sun Apr  9 01:47:46 2017
		sets next: in="/data1/wrk/sep168/alejandro1/nonlin2d.x@zoPaEO"
		From par: vel_frac=1
		From par: wavelet_fn="./Marmousi/Wvt/Marm_wavelet_nl.H"
		From par: reflfile="none"
		From par: datafile="./Marmousi/Dat/Marm_shots_02.H"
		From par: npts=40
		From par: apertureL=2000
		From par: apertureR=2000
		From par: scalco_override=-10
		From par: frac_time=1
		From par: nthreads=1
		From par: one_src="n"
		From par: nts=55
		From par: verb_src="n"
		From par: pad=50
		From par: zpad=30
		From par: thetac=90
		From par: alpha=0
		From par: eic="y"
		From par: override_sx_header="n"
		From par: ox_shift=0
		From par: snapsht="n"
		From par: src_snap=1
		From par: niter=10
 read_parameters: Finishing reading parameters
 read_history: Reading parameters from history files
 read_history: Finishing reading history files
 Reading the input headers
 Compute data with input parameters from data file
 read_velocity: Begin reading velocities...
 read_velocity: Finish reading velocities.
 Prepare geometric arrays for sources
 End geometric arrays for sources
		hff="./Dat/Marm_nonlin_02.H@@"
		From par: fc=125
 ***************************
 * Verbose some parameters *
 ***************************
 nz          300
 ntData          725
 nt         2897
 ntsData           55
 nts          220
 nx          298
 ngx          207
 nkz          430
 nkgx          467
 nbox          367
 ntraces         3726
 nsources           18
 Points triang filt           40
 first_cdp          156
 last_cdp          453
 pad_          50
 src_pad           0
 Global av. vel.    2854.991    
 Vel. min.    1504.453    
 Vel. max.    5496.425    
 Vel. fracc.    1.000000    
 Mult. time step            4
 Max. freq. in data    125.0000    
 dgx    25.00000    
 dx    25.00000    
 dtData   4.0000002E-03
 dt   1.0000000E-03
 dz    10.00000    
 dgxOdx    1.000000    
 Courant number    2.198570    
 Aperture left   2000.000    
 Aperture right   2000.000    
 napL          80
 napR          80
 scalco          -10
 nthreads            1
 snapsht  F
 src_snap            1
 Use ispc?  F
 No. iters (LWI only)?           10
 Current image            1
 Num images            1
  
 
 ********************** MAIN LOOP BEGINS! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      1    104    207      1    207  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		data_format="xdr_float"
		rms_amplitude=1.11845e-07
		mean_amplitude=4.85375e-11
		min_amplitude=-1.19818e-06
		max_amplitude=1.19632e-06
		nonzero_samples=138124
 Non-zero samples      138124
 rms_amplitude  1.1184513E-07
 mean_amplitude  4.8537452E-11
 max_amplitude  1.1963162E-06
 min_amplitude -1.1981757E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      2    104    414    208    414  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=208
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=9.06656e-07
		mean_amplitude=3.75821e-11
		min_amplitude=-1.25283e-06
		max_amplitude=1.17491e-06
		nonzero_samples=138123
 Non-zero samples      138123
 rms_amplitude  9.0665634E-07
 mean_amplitude  3.7582097E-11
 max_amplitude  1.1749079E-06
 min_amplitude -1.2528326E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      3    104    621    415    621  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=415
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=2.56422e-06
		mean_amplitude=2.49541e-11
		min_amplitude=-1.22409e-06
		max_amplitude=1.14646e-06
		nonzero_samples=138117
 Non-zero samples      138117
 rms_amplitude  2.5642171E-06
 mean_amplitude  2.4954058E-11
 max_amplitude  1.1464566E-06
 min_amplitude -1.2240943E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      4    104    828    622    828  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=622
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=4.30964e-06
		mean_amplitude=1.17582e-11
		min_amplitude=-1.19758e-06
		max_amplitude=1.11259e-06
		nonzero_samples=138119
 Non-zero samples      138119
 rms_amplitude  4.3096370E-06
 mean_amplitude  1.1758202E-11
 max_amplitude  1.1125919E-06
 min_amplitude -1.1975809E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      5    104   1035    829   1035  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=829
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=5.58641e-06
		mean_amplitude=-3.41652e-13
		min_amplitude=-1.17954e-06
		max_amplitude=1.09033e-06
		nonzero_samples=138118
 Non-zero samples      138118
 rms_amplitude  5.5864130E-06
 mean_amplitude -3.4165154E-13
 max_amplitude  1.0903298E-06
 min_amplitude -1.1795365E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      6    104   1242   1036   1242  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1036
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=6.36025e-06
		mean_amplitude=-9.47915e-12
		min_amplitude=-1.17715e-06
		max_amplitude=1.05792e-06
		nonzero_samples=138115
 Non-zero samples      138115
 rms_amplitude  6.3602542E-06
 mean_amplitude -9.4791466E-12
 max_amplitude  1.0579220E-06
 min_amplitude -1.1771504E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      7    104   1449   1243   1449  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1243
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=6.78635e-06
		mean_amplitude=-1.47467e-11
		min_amplitude=-1.14597e-06
		max_amplitude=1.04546e-06
		nonzero_samples=138118
 Non-zero samples      138118
 rms_amplitude  6.7863525E-06
 mean_amplitude -1.4746666E-11
 max_amplitude  1.0454647E-06
 min_amplitude -1.1459695E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      8    104   1656   1450   1656  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1450
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.00996e-06
		mean_amplitude=-1.67781e-11
		min_amplitude=-1.133e-06
		max_amplitude=1.01937e-06
		nonzero_samples=138118
 Non-zero samples      138118
 rms_amplitude  7.0099609E-06
 mean_amplitude -1.6778067E-11
 max_amplitude  1.0193691E-06
 min_amplitude -1.1330018E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      9    104   1863   1657   1863  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1657
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.1246e-06
		mean_amplitude=-1.63838e-11
		min_amplitude=-1.07724e-06
		max_amplitude=1.00126e-06
		nonzero_samples=138114
 Non-zero samples      138114
 rms_amplitude  7.1245977E-06
 mean_amplitude -1.6383762E-11
 max_amplitude  1.0012604E-06
 min_amplitude -1.0772411E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     10    104   2070   1864   2070  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1864
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.18266e-06
		mean_amplitude=-1.4946e-11
		min_amplitude=-1.07919e-06
		max_amplitude=9.95431e-07
		nonzero_samples=138112
 Non-zero samples      138112
 rms_amplitude  7.1826562E-06
 mean_amplitude -1.4946025E-11
 max_amplitude  9.9543081E-07
 min_amplitude -1.0791935E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     11    104   2277   2071   2277  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2071
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.21175e-06
		mean_amplitude=-1.42251e-11
		min_amplitude=-1.06655e-06
		max_amplitude=9.59226e-07
		nonzero_samples=138116
 Non-zero samples      138116
 rms_amplitude  7.2117541E-06
 mean_amplitude -1.4225093E-11
 max_amplitude  9.5922564E-07
 min_amplitude -1.0665475E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     12    104   2484   2278   2484  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2278
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.22642e-06
		mean_amplitude=-1.54769e-11
		min_amplitude=-1.06779e-06
		max_amplitude=9.46269e-07
		nonzero_samples=138113
 Non-zero samples      138113
 rms_amplitude  7.2264211E-06
 mean_amplitude -1.5476917E-11
 max_amplitude  9.4626876E-07
 min_amplitude -1.0677877E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     13    104   2691   2485   2691  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2485
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.23392e-06
		mean_amplitude=-1.88699e-11
		min_amplitude=-1.07341e-06
		max_amplitude=9.16179e-07
		nonzero_samples=138107
 Non-zero samples      138107
 rms_amplitude  7.2339226E-06
 mean_amplitude -1.8869862E-11
 max_amplitude  9.1617864E-07
 min_amplitude -1.0734085E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     14    104   2898   2692   2898  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2692
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.2376e-06
		mean_amplitude=-2.32749e-11
		min_amplitude=-1.09441e-06
		max_amplitude=9.05825e-07
		nonzero_samples=138110
 Non-zero samples      138110
 rms_amplitude  7.2375974E-06
 mean_amplitude -2.3274920E-11
 max_amplitude  9.0582472E-07
 min_amplitude -1.0944111E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     15    104   3105   2899   3105  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2899
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.23951e-06
		mean_amplitude=-2.77079e-11
		min_amplitude=-1.13717e-06
		max_amplitude=8.87428e-07
		nonzero_samples=138107
 Non-zero samples      138107
 rms_amplitude  7.2395092E-06
 mean_amplitude -2.7707938E-11
 max_amplitude  8.8742769E-07
 min_amplitude -1.1371714E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     16    104   3312   3106   3312  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=3106
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.2405e-06
		mean_amplitude=-3.1554e-11
		min_amplitude=-1.1604e-06
		max_amplitude=9.11555e-07
		nonzero_samples=138106
 Non-zero samples      138106
 rms_amplitude  7.2404969E-06
 mean_amplitude -3.1553964E-11
 max_amplitude  9.1155533E-07
 min_amplitude -1.1603993E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     17    104   3519   3313   3519  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=3313
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.24099e-06
		mean_amplitude=-3.4292e-11
		min_amplitude=-1.18535e-06
		max_amplitude=9.09161e-07
		nonzero_samples=138106
 Non-zero samples      138106
 rms_amplitude  7.2409939E-06
 mean_amplitude -3.4291989E-11
 max_amplitude  9.0916114E-07
 min_amplitude -1.1853498E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     18    104   3726   3520   3725  206
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=3520
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.24126e-06
		mean_amplitude=-3.56927e-11
		min_amplitude=-1.17524e-06
		max_amplitude=9.20914e-07
		nonzero_samples=138105
 Non-zero samples      138105
 rms_amplitude  7.2412636E-06
 mean_amplitude -3.5692657E-11
 max_amplitude  9.2091375E-07
 min_amplitude -1.1752443E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
		timer sum (sec)=584.12
		timer sum (min)=9.73533
 timer sum (sec)   584.1200    
 timer sum (min)   9.735333    
  
 Finishing the nonlin2d program normally!
