 
**************************************************************
*** 2D Non-linear Modeling using FD with Lax-Wendroff method *
*** Author: Alejandro Cabrales                               *
*** Stanford Exploration Project/Petroleos Mexicanos, 2017   *
**************************************************************
 
 read_parameters: Reading parameters from command line


Segy2sep:   cabrales@storm.stanford.edu   Thu Mar 23 18:00:41 2017
		sets next: in="/scr1/cabrales/Marm_model.H@"
		junkME=0
		hff="Marm_model.H@@"
		same_record_number=1
	 	n2=1 o2=1 d2=1 label2="trace number" 

n3=1 n4=1 n5=1 n6=1 n7=1 n8=1 n9=1 

	n1=300  o1=0.000000  d1=0.000000   label1="none"   unit1="none"
		gff="-1"
		esize=4
		data_format="xdr_float"
		junkME=0
		same_record_number=1
	 	n2=298 o2=3875 d2=25 label2="trace number" 

n3=1 n4=1 n5=1 n6=1 n7=1 n8=1 n9=1 

	n1=300  o1=0.000000  d1=10.0   label1="none"   unit1="none"
		gff="-1"
		esize=4


/opt/SEP/SEP7.0/bin/Math:   cabrales@storm.stanford.edu   Sat Apr  8 23:38:29 2017
		sepstr_ready_out() : sets next in="stdin"
		esize=4
	#Using 1/file1/file1 to produce real data

		#file1="Marmousi/Dat/Marm_model.H"
		data_format="xdr_float"


Smooth:   cabrales@storm.stanford.edu   Sat Apr  8 23:38:29 2017
		sets next: in="/scr1/cabrales/Smooth@1X9djA"
	Data smoothed with tridiagonal solver leaky().
		Data smoothed with: rect1=2
		Data smoothed with: rect2=2
		Data smoothed with: rect3=1
		data_format="xdr_float"



/opt/SEP/SEP7.0/bin/Math:   cabrales@storm.stanford.edu   Sat Apr  8 23:38:29 2017
		sets next: in="./Marmousi/Dat/Marm_model_nl.H@"
		esize=4
	#Using 1/file1^0.5 to produce real data

		#file1="Marmousi/Dat/slow.H"
		data_format="xdr_float"


./Bin/nonlin2d.x:   cabrales@storm.stanford.edu   Sun Apr  9 01:47:46 2017
		sets next: in="/data1/wrk/sep168/alejandro1/nonlin2d.x@v2y8DO"
		From par: vel_frac=1
		From par: wavelet_fn="./Marmousi/Wvt/Marm_wavelet_nl.H"
		From par: reflfile="none"
		From par: datafile="./Marmousi/Dat/Marm_shots_03.H"
		From par: npts=40
		From par: apertureL=2000
		From par: apertureR=2000
		From par: scalco_override=-10
		From par: frac_time=1
		From par: nthreads=1
		From par: one_src="n"
		From par: nts=55
		From par: verb_src="n"
		From par: pad=50
		From par: zpad=30
		From par: thetac=90
		From par: alpha=0
		From par: eic="y"
		From par: override_sx_header="n"
		From par: ox_shift=0
		From par: snapsht="n"
		From par: src_snap=1
		From par: niter=10
 read_parameters: Finishing reading parameters
 read_history: Reading parameters from history files
 read_history: Finishing reading history files
 Reading the input headers
 Compute data with input parameters from data file
 read_velocity: Begin reading velocities...
 read_velocity: Finish reading velocities.
 Prepare geometric arrays for sources
 End geometric arrays for sources
		hff="./Dat/Marm_nonlin_03.H@@"
		From par: fc=125
 ***************************
 * Verbose some parameters *
 ***************************
 nz          300
 ntData          725
 nt         2897
 ntsData           55
 nts          220
 nx          298
 ngx          207
 nkz          430
 nkgx          467
 nbox          367
 ntraces         3726
 nsources           18
 Points triang filt           40
 first_cdp          156
 last_cdp          453
 pad_          50
 src_pad           0
 Global av. vel.    2854.991    
 Vel. min.    1504.453    
 Vel. max.    5496.425    
 Vel. fracc.    1.000000    
 Mult. time step            4
 Max. freq. in data    125.0000    
 dgx    25.00000    
 dx    25.00000    
 dtData   4.0000002E-03
 dt   1.0000000E-03
 dz    10.00000    
 dgxOdx    1.000000    
 Courant number    2.198570    
 Aperture left   2000.000    
 Aperture right   2000.000    
 napL          80
 napR          80
 scalco          -10
 nthreads            1
 snapsht  F
 src_snap            1
 Use ispc?  F
 No. iters (LWI only)?           10
 Current image            1
 Num images            1
  
 
 ********************** MAIN LOOP BEGINS! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      1    104    207      1    207  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		data_format="xdr_float"
		rms_amplitude=1.06411e-07
		mean_amplitude=-3.56784e-11
		min_amplitude=-1.17833e-06
		max_amplitude=9.2149e-07
		nonzero_samples=138103
 Non-zero samples      138103
 rms_amplitude  1.0641124E-07
 mean_amplitude -3.5678450E-11
 max_amplitude  9.2149031E-07
 min_amplitude -1.1783302E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      2    104    414    208    414  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=208
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=8.8399e-07
		mean_amplitude=-3.39074e-11
		min_amplitude=-1.15623e-06
		max_amplitude=9.19217e-07
		nonzero_samples=138104
 Non-zero samples      138104
 rms_amplitude  8.8399025E-07
 mean_amplitude -3.3907384E-11
 max_amplitude  9.1921748E-07
 min_amplitude -1.1562307E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      3    104    621    415    621  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=415
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=2.53196e-06
		mean_amplitude=-3.05374e-11
		min_amplitude=-1.1671e-06
		max_amplitude=9.20823e-07
		nonzero_samples=138094
 Non-zero samples      138094
 rms_amplitude  2.5319609E-06
 mean_amplitude -3.0537430E-11
 max_amplitude  9.2082257E-07
 min_amplitude -1.1670991E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      4    104    828    622    828  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=622
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=4.2827e-06
		mean_amplitude=-2.42499e-11
		min_amplitude=-1.17095e-06
		max_amplitude=9.40762e-07
		nonzero_samples=138097
 Non-zero samples      138097
 rms_amplitude  4.2827014E-06
 mean_amplitude -2.4249908E-11
 max_amplitude  9.4076171E-07
 min_amplitude -1.1709500E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      5    104   1035    829   1035  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=829
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=5.56933e-06
		mean_amplitude=-1.4706e-11
		min_amplitude=-1.23985e-06
		max_amplitude=1.10257e-06
		nonzero_samples=138096
 Non-zero samples      138096
 rms_amplitude  5.5693304E-06
 mean_amplitude -1.4706012E-11
 max_amplitude  1.1025714E-06
 min_amplitude -1.2398530E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      6    104   1242   1036   1242  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1036
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=6.35092e-06
		mean_amplitude=-4.56956e-12
		min_amplitude=-1.34865e-06
		max_amplitude=1.25373e-06
		nonzero_samples=138097
 Non-zero samples      138097
 rms_amplitude  6.3509187E-06
 mean_amplitude -4.5695591E-12
 max_amplitude  1.2537275E-06
 min_amplitude -1.3486480E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      7    104   1449   1243   1449  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1243
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=6.78206e-06
		mean_amplitude=2.98716e-12
		min_amplitude=-1.38369e-06
		max_amplitude=1.29863e-06
		nonzero_samples=138090
 Non-zero samples      138090
 rms_amplitude  6.7820642E-06
 mean_amplitude  2.9871633E-12
 max_amplitude  1.2986350E-06
 min_amplitude -1.3836903E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      8    104   1656   1450   1656  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1450
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.00853e-06
		mean_amplitude=5.43802e-12
		min_amplitude=-1.39537e-06
		max_amplitude=1.29432e-06
		nonzero_samples=138088
 Non-zero samples      138088
 rms_amplitude  7.0085257E-06
 mean_amplitude  5.4380233E-12
 max_amplitude  1.2943178E-06
 min_amplitude -1.3953738E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      9    104   1863   1657   1863  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1657
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.12468e-06
		mean_amplitude=3.44927e-12
		min_amplitude=-1.36674e-06
		max_amplitude=1.25407e-06
		nonzero_samples=138084
 Non-zero samples      138084
 rms_amplitude  7.1246764E-06
 mean_amplitude  3.4492654E-12
 max_amplitude  1.2540726E-06
 min_amplitude -1.3667384E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     10    104   2070   1864   2070  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1864
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.18362e-06
		mean_amplitude=-2.9286e-13
		min_amplitude=-1.34897e-06
		max_amplitude=1.2181e-06
		nonzero_samples=138078
 Non-zero samples      138078
 rms_amplitude  7.1836239E-06
 mean_amplitude -2.9286030E-13
 max_amplitude  1.2180956E-06
 min_amplitude -1.3489694E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     11    104   2277   2071   2277  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2071
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.21331e-06
		mean_amplitude=-3.15017e-12
		min_amplitude=-1.32839e-06
		max_amplitude=1.17245e-06
		nonzero_samples=138077
 Non-zero samples      138077
 rms_amplitude  7.2133107E-06
 mean_amplitude -3.1501741E-12
 max_amplitude  1.1724461E-06
 min_amplitude -1.3283916E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     12    104   2484   2278   2484  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2278
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.22833e-06
		mean_amplitude=-3.49677e-12
		min_amplitude=-1.31634e-06
		max_amplitude=1.14466e-06
		nonzero_samples=138072
 Non-zero samples      138072
 rms_amplitude  7.2283319E-06
 mean_amplitude -3.4967682E-12
 max_amplitude  1.1446647E-06
 min_amplitude -1.3163385E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     13    104   2691   2485   2691  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2485
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.2358e-06
		mean_amplitude=-2.24261e-12
		min_amplitude=-1.30275e-06
		max_amplitude=1.11664e-06
		nonzero_samples=138074
 Non-zero samples      138074
 rms_amplitude  7.2358034E-06
 mean_amplitude -2.2426078E-12
 max_amplitude  1.1166386E-06
 min_amplitude -1.3027479E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     14    104   2898   2692   2898  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2692
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.23964e-06
		mean_amplitude=-8.27664e-13
		min_amplitude=-1.29155e-06
		max_amplitude=1.0915e-06
		nonzero_samples=138070
 Non-zero samples      138070
 rms_amplitude  7.2396397E-06
 mean_amplitude -8.2766362E-13
 max_amplitude  1.0915012E-06
 min_amplitude -1.2915461E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     15    104   3105   2899   3105  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2899
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.24154e-06
		mean_amplitude=1.94525e-14
		min_amplitude=-1.27645e-06
		max_amplitude=1.07619e-06
		nonzero_samples=138071
 Non-zero samples      138071
 rms_amplitude  7.2415355E-06
 mean_amplitude  1.9452530E-14
 max_amplitude  1.0761883E-06
 min_amplitude -1.2764469E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     16    104   3312   3106   3312  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=3106
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.2428e-06
		mean_amplitude=9.78214e-13
		min_amplitude=-1.2609e-06
		max_amplitude=1.04339e-06
		nonzero_samples=138059
 Non-zero samples      138059
 rms_amplitude  7.2428002E-06
 mean_amplitude  9.7821371E-13
 max_amplitude  1.0433901E-06
 min_amplitude -1.2609017E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     17    104   3519   3313   3519  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=3313
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.24336e-06
		mean_amplitude=2.36523e-12
		min_amplitude=-1.24511e-06
		max_amplitude=1.02825e-06
		nonzero_samples=138062
 Non-zero samples      138062
 rms_amplitude  7.2433618E-06
 mean_amplitude  2.3652308E-12
 max_amplitude  1.0282478E-06
 min_amplitude -1.2451112E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     18    104   3726   3520   3725  206
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=3520
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.24375e-06
		mean_amplitude=3.27225e-12
		min_amplitude=-1.23215e-06
		max_amplitude=9.86344e-07
		nonzero_samples=138058
 Non-zero samples      138058
 rms_amplitude  7.2437497E-06
 mean_amplitude  3.2722460E-12
 max_amplitude  9.8634428E-07
 min_amplitude -1.2321525E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
		timer sum (sec)=581.868
		timer sum (min)=9.6978
 timer sum (sec)   581.8680    
 timer sum (min)   9.697800    
  
 Finishing the nonlin2d program normally!
