 
**************************************************************
*** 2D Non-linear Modeling using FD with Lax-Wendroff method *
*** Author: Alejandro Cabrales                               *
*** Stanford Exploration Project/Petroleos Mexicanos, 2017   *
**************************************************************
 
 read_parameters: Reading parameters from command line


Segy2sep:   cabrales@storm.stanford.edu   Thu Mar 23 18:00:41 2017
		sets next: in="/scr1/cabrales/Marm_model.H@"
		junkME=0
		hff="Marm_model.H@@"
		same_record_number=1
	 	n2=1 o2=1 d2=1 label2="trace number" 

n3=1 n4=1 n5=1 n6=1 n7=1 n8=1 n9=1 

	n1=300  o1=0.000000  d1=0.000000   label1="none"   unit1="none"
		gff="-1"
		esize=4
		data_format="xdr_float"
		junkME=0
		same_record_number=1
	 	n2=298 o2=3875 d2=25 label2="trace number" 

n3=1 n4=1 n5=1 n6=1 n7=1 n8=1 n9=1 

	n1=300  o1=0.000000  d1=10.0   label1="none"   unit1="none"
		gff="-1"
		esize=4


/opt/SEP/SEP7.0/bin/Math:   cabrales@storm.stanford.edu   Sat Apr  8 23:38:29 2017
		sepstr_ready_out() : sets next in="stdin"
		esize=4
	#Using 1/file1/file1 to produce real data

		#file1="Marmousi/Dat/Marm_model.H"
		data_format="xdr_float"


Smooth:   cabrales@storm.stanford.edu   Sat Apr  8 23:38:29 2017
		sets next: in="/scr1/cabrales/Smooth@1X9djA"
	Data smoothed with tridiagonal solver leaky().
		Data smoothed with: rect1=2
		Data smoothed with: rect2=2
		Data smoothed with: rect3=1
		data_format="xdr_float"



/opt/SEP/SEP7.0/bin/Math:   cabrales@storm.stanford.edu   Sat Apr  8 23:38:29 2017
		sets next: in="./Marmousi/Dat/Marm_model_nl.H@"
		esize=4
	#Using 1/file1^0.5 to produce real data

		#file1="Marmousi/Dat/slow.H"
		data_format="xdr_float"


./Bin/nonlin2d.x:   cabrales@storm.stanford.edu   Sun Apr  9 01:47:46 2017
		sets next: in="/data1/wrk/sep168/alejandro1/nonlin2d.x@4IgNHY"
		From par: vel_frac=1
		From par: wavelet_fn="./Marmousi/Wvt/Marm_wavelet_nl.H"
		From par: reflfile="none"
		From par: datafile="./Marmousi/Dat/Marm_shots_07.H"
		From par: npts=40
		From par: apertureL=2000
		From par: apertureR=2000
		From par: scalco_override=-10
		From par: frac_time=1
		From par: nthreads=1
		From par: one_src="n"
		From par: nts=55
		From par: verb_src="n"
		From par: pad=50
		From par: zpad=30
		From par: thetac=90
		From par: alpha=0
		From par: eic="y"
		From par: override_sx_header="n"
		From par: ox_shift=0
		From par: snapsht="n"
		From par: src_snap=1
		From par: niter=10
 read_parameters: Finishing reading parameters
 read_history: Reading parameters from history files
 read_history: Finishing reading history files
 Reading the input headers
 Compute data with input parameters from data file
 read_velocity: Begin reading velocities...
 read_velocity: Finish reading velocities.
 Prepare geometric arrays for sources
 End geometric arrays for sources
		hff="./Dat/Marm_nonlin_07.H@@"
		From par: fc=125
 ***************************
 * Verbose some parameters *
 ***************************
 nz          300
 ntData          725
 nt         2897
 ntsData           55
 nts          220
 nx          298
 ngx          207
 nkz          430
 nkgx          467
 nbox          367
 ntraces         3726
 nsources           18
 Points triang filt           40
 first_cdp          156
 last_cdp          453
 pad_          50
 src_pad           0
 Global av. vel.    2854.991    
 Vel. min.    1504.453    
 Vel. max.    5496.425    
 Vel. fracc.    1.000000    
 Mult. time step            4
 Max. freq. in data    125.0000    
 dgx    25.00000    
 dx    25.00000    
 dtData   4.0000002E-03
 dt   1.0000000E-03
 dz    10.00000    
 dgxOdx    1.000000    
 Courant number    2.198570    
 Aperture left   2000.000    
 Aperture right   2000.000    
 napL          80
 napR          80
 scalco          -10
 nthreads            1
 snapsht  F
 src_snap            1
 Use ispc?  F
 No. iters (LWI only)?           10
 Current image            1
 Num images            1
  
 
 ********************** MAIN LOOP BEGINS! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      1    104    207      1    207  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		data_format="xdr_float"
		rms_amplitude=7.31232e-08
		mean_amplitude=6.24325e-12
		min_amplitude=-1.05479e-06
		max_amplitude=8.41301e-07
		nonzero_samples=138253
 Non-zero samples      138253
 rms_amplitude  7.3123239E-08
 mean_amplitude  6.2432511E-12
 max_amplitude  8.4130141E-07
 min_amplitude -1.0547886E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      2    104    414    208    414  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=208
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.3038e-07
		mean_amplitude=3.72999e-12
		min_amplitude=-8.98446e-07
		max_amplitude=7.83621e-07
		nonzero_samples=138258
 Non-zero samples      138258
 rms_amplitude  7.3037955E-07
 mean_amplitude  3.7299881E-12
 max_amplitude  7.8362058E-07
 min_amplitude -8.9844616E-07
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      3    104    621    415    621  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=415
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=2.29906e-06
		mean_amplitude=2.19027e-12
		min_amplitude=-8.16216e-07
		max_amplitude=7.42713e-07
		nonzero_samples=138261
 Non-zero samples      138261
 rms_amplitude  2.2990637E-06
 mean_amplitude  2.1902666E-12
 max_amplitude  7.4271350E-07
 min_amplitude -8.1621613E-07
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      4    104    828    622    828  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=622
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=4.07794e-06
		mean_amplitude=5.70577e-13
		min_amplitude=-7.89963e-07
		max_amplitude=6.89115e-07
		nonzero_samples=138264
 Non-zero samples      138264
 rms_amplitude  4.0779373E-06
 mean_amplitude  5.7057744E-13
 max_amplitude  6.8911527E-07
 min_amplitude -7.8996300E-07
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      5    104   1035    829   1035  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=829
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=5.43072e-06
		mean_amplitude=-1.64376e-12
		min_amplitude=-7.48837e-07
		max_amplitude=6.13948e-07
		nonzero_samples=138272
 Non-zero samples      138272
 rms_amplitude  5.4307211E-06
 mean_amplitude -1.6437611E-12
 max_amplitude  6.1394780E-07
 min_amplitude -7.4883729E-07
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      6    104   1242   1036   1242  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1036
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=6.26697e-06
		mean_amplitude=-3.92444e-12
		min_amplitude=-7.3989e-07
		max_amplitude=5.46846e-07
		nonzero_samples=138276
 Non-zero samples      138276
 rms_amplitude  6.2669728E-06
 mean_amplitude -3.9244398E-12
 max_amplitude  5.4684608E-07
 min_amplitude -7.3989048E-07
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      7    104   1449   1243   1449  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1243
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=6.73219e-06
		mean_amplitude=-6.11931e-12
		min_amplitude=-7.4855e-07
		max_amplitude=5.6924e-07
		nonzero_samples=138277
 Non-zero samples      138277
 rms_amplitude  6.7321862E-06
 mean_amplitude -6.1193143E-12
 max_amplitude  5.6923966E-07
 min_amplitude -7.4855024E-07
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      8    104   1656   1450   1656  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1450
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=6.97764e-06
		mean_amplitude=-7.29439e-12
		min_amplitude=-7.81765e-07
		max_amplitude=6.18458e-07
		nonzero_samples=138276
 Non-zero samples      138276
 rms_amplitude  6.9776370E-06
 mean_amplitude -7.2943864E-12
 max_amplitude  6.1845822E-07
 min_amplitude -7.8176510E-07
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      9    104   1863   1657   1863  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1657
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.10355e-06
		mean_amplitude=-6.80529e-12
		min_amplitude=-8.34214e-07
		max_amplitude=6.59127e-07
		nonzero_samples=138283
 Non-zero samples      138283
 rms_amplitude  7.1035497E-06
 mean_amplitude -6.8052924E-12
 max_amplitude  6.5912741E-07
 min_amplitude -8.3421446E-07
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     10    104   2070   1864   2070  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1864
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.16724e-06
		mean_amplitude=-5.2585e-12
		min_amplitude=-8.82944e-07
		max_amplitude=7.06077e-07
		nonzero_samples=138289
 Non-zero samples      138289
 rms_amplitude  7.1672393E-06
 mean_amplitude -5.2585020E-12
 max_amplitude  7.0607695E-07
 min_amplitude -8.8294445E-07
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     11    104   2277   2071   2277  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2071
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.19915e-06
		mean_amplitude=-3.78621e-12
		min_amplitude=-9.68211e-07
		max_amplitude=8.44537e-07
		nonzero_samples=138296
 Non-zero samples      138296
 rms_amplitude  7.1991549E-06
 mean_amplitude -3.7862070E-12
 max_amplitude  8.4453711E-07
 min_amplitude -9.6821134E-07
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     12    104   2484   2278   2484  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2278
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.21524e-06
		mean_amplitude=-2.70496e-12
		min_amplitude=-1.08321e-06
		max_amplitude=1.04716e-06
		nonzero_samples=138295
 Non-zero samples      138295
 rms_amplitude  7.2152397E-06
 mean_amplitude -2.7049610E-12
 max_amplitude  1.0471573E-06
 min_amplitude -1.0832149E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     13    104   2691   2485   2691  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2485
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.22315e-06
		mean_amplitude=-2.16971e-12
		min_amplitude=-1.14655e-06
		max_amplitude=1.15386e-06
		nonzero_samples=138301
 Non-zero samples      138301
 rms_amplitude  7.2231487E-06
 mean_amplitude -2.1697056E-12
 max_amplitude  1.1538642E-06
 min_amplitude -1.1465485E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     14    104   2898   2692   2898  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2692
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.22695e-06
		mean_amplitude=-2.31634e-12
		min_amplitude=-1.19817e-06
		max_amplitude=1.19632e-06
		nonzero_samples=138307
 Non-zero samples      138307
 rms_amplitude  7.2269481E-06
 mean_amplitude -2.3163442E-12
 max_amplitude  1.1963193E-06
 min_amplitude -1.1981717E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     15    104   3105   2899   3105  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2899
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.22873e-06
		mean_amplitude=-2.92444e-12
		min_amplitude=-1.25283e-06
		max_amplitude=1.17047e-06
		nonzero_samples=138310
 Non-zero samples      138310
 rms_amplitude  7.2287316E-06
 mean_amplitude -2.9244363E-12
 max_amplitude  1.1704684E-06
 min_amplitude -1.2528316E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     16    104   3312   3106   3312  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=3106
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.22952e-06
		mean_amplitude=-2.86184e-12
		min_amplitude=-1.12717e-06
		max_amplitude=1.06534e-06
		nonzero_samples=138312
 Non-zero samples      138312
 rms_amplitude  7.2295175E-06
 mean_amplitude -2.8618364E-12
 max_amplitude  1.0653446E-06
 min_amplitude -1.1271703E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     17    104   3519   3313   3519  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=3313
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.22971e-06
		mean_amplitude=-1.26626e-12
		min_amplitude=-1.00985e-06
		max_amplitude=8.88086e-07
		nonzero_samples=138318
 Non-zero samples      138318
 rms_amplitude  7.2297066E-06
 mean_amplitude -1.2662601E-12
 max_amplitude  8.8808559E-07
 min_amplitude -1.0098535E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     18    104   3726   3520   3725  206
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=3520
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.22972e-06
		mean_amplitude=1.3782e-12
		min_amplitude=-9.41184e-07
		max_amplitude=8.21249e-07
		nonzero_samples=138320
 Non-zero samples      138320
 rms_amplitude  7.2297216E-06
 mean_amplitude  1.3782028E-12
 max_amplitude  8.2124859E-07
 min_amplitude -9.4118377E-07
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
		timer sum (sec)=582.834
		timer sum (min)=9.7139
 timer sum (sec)   582.8340    
 timer sum (min)   9.713900    
  
 Finishing the nonlin2d program normally!
