 
**************************************************************
*** 2D Non-linear Modeling using FD with Lax-Wendroff method *
*** Author: Alejandro Cabrales                               *
*** Stanford Exploration Project/Petroleos Mexicanos, 2017   *
**************************************************************
 
 read_parameters: Reading parameters from command line


Segy2sep:   cabrales@storm.stanford.edu   Thu Mar 23 18:00:41 2017
		sets next: in="/scr1/cabrales/Marm_model.H@"
		junkME=0
		hff="Marm_model.H@@"
		same_record_number=1
	 	n2=1 o2=1 d2=1 label2="trace number" 

n3=1 n4=1 n5=1 n6=1 n7=1 n8=1 n9=1 

	n1=300  o1=0.000000  d1=0.000000   label1="none"   unit1="none"
		gff="-1"
		esize=4
		data_format="xdr_float"
		junkME=0
		same_record_number=1
	 	n2=298 o2=3875 d2=25 label2="trace number" 

n3=1 n4=1 n5=1 n6=1 n7=1 n8=1 n9=1 

	n1=300  o1=0.000000  d1=10.0   label1="none"   unit1="none"
		gff="-1"
		esize=4


/opt/SEP/SEP7.0/bin/Math:   cabrales@storm.stanford.edu   Sat Apr  8 23:38:29 2017
		sepstr_ready_out() : sets next in="stdin"
		esize=4
	#Using 1/file1/file1 to produce real data

		#file1="Marmousi/Dat/Marm_model.H"
		data_format="xdr_float"


Smooth:   cabrales@storm.stanford.edu   Sat Apr  8 23:38:29 2017
		sets next: in="/scr1/cabrales/Smooth@1X9djA"
	Data smoothed with tridiagonal solver leaky().
		Data smoothed with: rect1=2
		Data smoothed with: rect2=2
		Data smoothed with: rect3=1
		data_format="xdr_float"



/opt/SEP/SEP7.0/bin/Math:   cabrales@storm.stanford.edu   Sat Apr  8 23:38:29 2017
		sets next: in="./Marmousi/Dat/Marm_model_nl.H@"
		esize=4
	#Using 1/file1^0.5 to produce real data

		#file1="Marmousi/Dat/slow.H"
		data_format="xdr_float"


./Bin/nonlin2d.x:   cabrales@storm.stanford.edu   Sun Apr  9 01:25:06 2017
		sets next: in="/data1/wrk/sep168/alejandro1/nonlin2d.x@Bck06b"
		From par: vel_frac=1
		From par: wavelet_fn="./Marmousi/Wvt/Marm_wavelet_nl.H"
		From par: reflfile="none"
		From par: datafile="./Marmousi/Dat/Marm_shots_08.H"
		From par: npts=40
		From par: apertureL=2000
		From par: apertureR=2000
		From par: scalco_override=-10
		From par: frac_time=1
		From par: nthreads=1
		From par: one_src="n"
		From par: nts=55
		From par: verb_src="n"
		From par: pad=50
		From par: zpad=30
		From par: thetac=90
		From par: alpha=0
		From par: eic="y"
		From par: override_sx_header="n"
		From par: ox_shift=0
		From par: snapsht="n"
		From par: src_snap=1
		From par: niter=10
 read_parameters: Finishing reading parameters
 read_history: Reading parameters from history files
 read_history: Finishing reading history files
 Reading the input headers
 Compute data with input parameters from data file
 read_velocity: Begin reading velocities...
 read_velocity: Finish reading velocities.
 Prepare geometric arrays for sources
 End geometric arrays for sources
		hff="./Dat/Marm_nonlin_08.H@@"
		From par: fc=125
 ***************************
 * Verbose some parameters *
 ***************************
 nz          300
 ntData          725
 nt         2897
 ntsData           55
 nts          220
 nx          298
 ngx          207
 nkz          430
 nkgx          467
 nbox          367
 ntraces         3726
 nsources           18
 Points triang filt           40
 first_cdp          156
 last_cdp          453
 pad_          50
 src_pad           0
 Global av. vel.    2854.991    
 Vel. min.    1504.453    
 Vel. max.    5496.425    
 Vel. fracc.    1.000000    
 Mult. time step            4
 Max. freq. in data    125.0000    
 dgx    25.00000    
 dx    25.00000    
 dtData   4.0000002E-03
 dt   1.0000000E-03
 dz    10.00000    
 dgxOdx    1.000000    
 Courant number    2.198570    
 Aperture left   2000.000    
 Aperture right   2000.000    
 napL          80
 napR          80
 scalco          -10
 nthreads            1
 snapsht  F
 src_snap            1
 Use ispc?  F
 No. iters (LWI only)?           10
 Current image            1
 Num images            1
  
 
 ********************** MAIN LOOP BEGINS! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      1    104    207      1    207  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		data_format="xdr_float"
		rms_amplitude=6.41852e-08
		mean_amplitude=3.62171e-12
		min_amplitude=-8.73612e-07
		max_amplitude=7.72319e-07
		nonzero_samples=138319
 Non-zero samples      138319
 rms_amplitude  6.4185237E-08
 mean_amplitude  3.6217123E-12
 max_amplitude  7.7231897E-07
 min_amplitude -8.7361235E-07
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      2    104    414    208    414  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=208
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=6.84054e-07
		mean_amplitude=4.30637e-12
		min_amplitude=-8.53412e-07
		max_amplitude=7.97746e-07
		nonzero_samples=138317
 Non-zero samples      138317
 rms_amplitude  6.8405382E-07
 mean_amplitude  4.3063691E-12
 max_amplitude  7.9774622E-07
 min_amplitude -8.5341151E-07
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      3    104    621    415    621  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=415
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=2.2245e-06
		mean_amplitude=3.91333e-12
		min_amplitude=-9.10061e-07
		max_amplitude=8.93769e-07
		nonzero_samples=138330
 Non-zero samples      138330
 rms_amplitude  2.2245013E-06
 mean_amplitude  3.9133310E-12
 max_amplitude  8.9376880E-07
 min_amplitude -9.1006137E-07
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      4    104    828    622    828  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=622
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=4.01026e-06
		mean_amplitude=3.81719e-12
		min_amplitude=-9.23031e-07
		max_amplitude=8.84518e-07
		nonzero_samples=138338
 Non-zero samples      138338
 rms_amplitude  4.0102591E-06
 mean_amplitude  3.8171857E-12
 max_amplitude  8.8451759E-07
 min_amplitude -9.2303071E-07
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      5    104   1035    829   1035  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=829
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=5.38422e-06
		mean_amplitude=4.44813e-12
		min_amplitude=-9.27951e-07
		max_amplitude=8.38419e-07
		nonzero_samples=138339
 Non-zero samples      138339
 rms_amplitude  5.3842191E-06
 mean_amplitude  4.4481311E-12
 max_amplitude  8.3841877E-07
 min_amplitude -9.2795108E-07
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      6    104   1242   1036   1242  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1036
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=6.23869e-06
		mean_amplitude=5.58846e-12
		min_amplitude=-9.20515e-07
		max_amplitude=7.89802e-07
		nonzero_samples=138341
 Non-zero samples      138341
 rms_amplitude  6.2386935E-06
 mean_amplitude  5.5884576E-12
 max_amplitude  7.8980213E-07
 min_amplitude -9.2051488E-07
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      7    104   1449   1243   1449  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1243
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=6.71546e-06
		mean_amplitude=6.48567e-12
		min_amplitude=-9.09765e-07
		max_amplitude=7.56293e-07
		nonzero_samples=138343
 Non-zero samples      138343
 rms_amplitude  6.7154574E-06
 mean_amplitude  6.4856722E-12
 max_amplitude  7.5629305E-07
 min_amplitude -9.0976533E-07
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      8    104   1656   1450   1656  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1450
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=6.96723e-06
		mean_amplitude=6.95614e-12
		min_amplitude=-1.01161e-06
		max_amplitude=7.96841e-07
		nonzero_samples=138347
 Non-zero samples      138347
 rms_amplitude  6.9672337E-06
 mean_amplitude  6.9561384E-12
 max_amplitude  7.9684094E-07
 min_amplitude -1.0116116E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      9    104   1863   1657   1863  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1657
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.09657e-06
		mean_amplitude=7.05383e-12
		min_amplitude=-1.09441e-06
		max_amplitude=8.54233e-07
		nonzero_samples=138350
 Non-zero samples      138350
 rms_amplitude  7.0965725E-06
 mean_amplitude  7.0538341E-12
 max_amplitude  8.5423341E-07
 min_amplitude -1.0944078E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     10    104   2070   1864   2070  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1864
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.16215e-06
		mean_amplitude=7.35598e-12
		min_amplitude=-1.13716e-06
		max_amplitude=8.87424e-07
		nonzero_samples=138350
 Non-zero samples      138350
 rms_amplitude  7.1621498E-06
 mean_amplitude  7.3559769E-12
 max_amplitude  8.8742371E-07
 min_amplitude -1.1371640E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     11    104   2277   2071   2277  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2071
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.19517e-06
		mean_amplitude=9.15599e-12
		min_amplitude=-1.1604e-06
		max_amplitude=9.11555e-07
		nonzero_samples=138350
 Non-zero samples      138350
 rms_amplitude  7.1951699E-06
 mean_amplitude  9.1559945E-12
 max_amplitude  9.1155533E-07
 min_amplitude -1.1603986E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     12    104   2484   2278   2484  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2278
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.21166e-06
		mean_amplitude=1.17309e-11
		min_amplitude=-1.18535e-06
		max_amplitude=9.21485e-07
		nonzero_samples=138353
 Non-zero samples      138353
 rms_amplitude  7.2116609E-06
 mean_amplitude  1.1730865E-11
 max_amplitude  9.2148497E-07
 min_amplitude -1.1853482E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     13    104   2691   2485   2691  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2485
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.21987e-06
		mean_amplitude=1.20997e-11
		min_amplitude=-1.17832e-06
		max_amplitude=9.20829e-07
		nonzero_samples=138355
 Non-zero samples      138355
 rms_amplitude  7.2198718E-06
 mean_amplitude  1.2099716E-11
 max_amplitude  9.2082911E-07
 min_amplitude -1.1783201E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     14    104   2898   2692   2898  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2692
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.22404e-06
		mean_amplitude=8.88629e-12
		min_amplitude=-1.1671e-06
		max_amplitude=9.06589e-07
		nonzero_samples=138353
 Non-zero samples      138353
 rms_amplitude  7.2240387E-06
 mean_amplitude  8.8862893E-12
 max_amplitude  9.0658943E-07
 min_amplitude -1.1670962E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     15    104   3105   2899   3105  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2899
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.22606e-06
		mean_amplitude=2.56537e-12
		min_amplitude=-1.15726e-06
		max_amplitude=8.9125e-07
		nonzero_samples=138356
 Non-zero samples      138356
 rms_amplitude  7.2260550E-06
 mean_amplitude  2.5653696E-12
 max_amplitude  8.9125029E-07
 min_amplitude -1.1572590E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     16    104   3312   3106   3312  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=3106
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.22702e-06
		mean_amplitude=-3.52438e-12
		min_amplitude=-1.14991e-06
		max_amplitude=8.76162e-07
		nonzero_samples=138358
 Non-zero samples      138358
 rms_amplitude  7.2270191E-06
 mean_amplitude -3.5243815E-12
 max_amplitude  8.7616178E-07
 min_amplitude -1.1499146E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     17    104   3519   3313   3519  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=3313
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.22764e-06
		mean_amplitude=-6.49519e-12
		min_amplitude=-1.17557e-06
		max_amplitude=9.40763e-07
		nonzero_samples=138353
 Non-zero samples      138353
 rms_amplitude  7.2276380E-06
 mean_amplitude -6.4951902E-12
 max_amplitude  9.4076336E-07
 min_amplitude -1.1755689E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     18    104   3726   3520   3725  206
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=3520
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.22792e-06
		mean_amplitude=-7.21434e-12
		min_amplitude=-1.24531e-06
		max_amplitude=1.10257e-06
		nonzero_samples=138354
 Non-zero samples      138354
 rms_amplitude  7.2279249E-06
 mean_amplitude -7.2143441E-12
 max_amplitude  1.1025706E-06
 min_amplitude -1.2453065E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
		timer sum (sec)=252.324
		timer sum (min)=4.2054
 timer sum (sec)   252.3240    
 timer sum (min)   4.205400    
  
 Finishing the nonlin2d program normally!
