 
**************************************************************
*** 2D Non-linear Modeling using FD with Lax-Wendroff method *
*** Author: Alejandro Cabrales                               *
*** Stanford Exploration Project/Petroleos Mexicanos, 2017   *
**************************************************************
 
 read_parameters: Reading parameters from command line


Segy2sep:   cabrales@storm.stanford.edu   Thu Mar 23 18:00:41 2017
		sets next: in="/scr1/cabrales/Marm_model.H@"
		junkME=0
		hff="Marm_model.H@@"
		same_record_number=1
	 	n2=1 o2=1 d2=1 label2="trace number" 

n3=1 n4=1 n5=1 n6=1 n7=1 n8=1 n9=1 

	n1=300  o1=0.000000  d1=0.000000   label1="none"   unit1="none"
		gff="-1"
		esize=4
		data_format="xdr_float"
		junkME=0
		same_record_number=1
	 	n2=298 o2=3875 d2=25 label2="trace number" 

n3=1 n4=1 n5=1 n6=1 n7=1 n8=1 n9=1 

	n1=300  o1=0.000000  d1=10.0   label1="none"   unit1="none"
		gff="-1"
		esize=4


/opt/SEP/SEP7.0/bin/Math:   cabrales@storm.stanford.edu   Sat Apr  8 23:38:29 2017
		sepstr_ready_out() : sets next in="stdin"
		esize=4
	#Using 1/file1/file1 to produce real data

		#file1="Marmousi/Dat/Marm_model.H"
		data_format="xdr_float"


Smooth:   cabrales@storm.stanford.edu   Sat Apr  8 23:38:29 2017
		sets next: in="/scr1/cabrales/Smooth@1X9djA"
	Data smoothed with tridiagonal solver leaky().
		Data smoothed with: rect1=2
		Data smoothed with: rect2=2
		Data smoothed with: rect3=1
		data_format="xdr_float"



/opt/SEP/SEP7.0/bin/Math:   cabrales@storm.stanford.edu   Sat Apr  8 23:38:29 2017
		sets next: in="./Marmousi/Dat/Marm_model_nl.H@"
		esize=4
	#Using 1/file1^0.5 to produce real data

		#file1="Marmousi/Dat/slow.H"
		data_format="xdr_float"


./Bin/nonlin2d.x:   cabrales@storm.stanford.edu   Sun Apr  9 01:47:46 2017
		sets next: in="/data1/wrk/sep168/alejandro1/nonlin2d.x@9t8gIY"
		From par: vel_frac=1
		From par: wavelet_fn="./Marmousi/Wvt/Marm_wavelet_nl.H"
		From par: reflfile="none"
		From par: datafile="./Marmousi/Dat/Marm_shots_12.H"
		From par: npts=40
		From par: apertureL=2000
		From par: apertureR=2000
		From par: scalco_override=-10
		From par: frac_time=1
		From par: nthreads=1
		From par: one_src="n"
		From par: nts=55
		From par: verb_src="n"
		From par: pad=50
		From par: zpad=30
		From par: thetac=90
		From par: alpha=0
		From par: eic="y"
		From par: override_sx_header="n"
		From par: ox_shift=0
		From par: snapsht="n"
		From par: src_snap=1
		From par: niter=10
 read_parameters: Finishing reading parameters
 read_history: Reading parameters from history files
 read_history: Finishing reading history files
 Reading the input headers
 Compute data with input parameters from data file
 read_velocity: Begin reading velocities...
 read_velocity: Finish reading velocities.
 Prepare geometric arrays for sources
 End geometric arrays for sources
		hff="./Dat/Marm_nonlin_12.H@@"
		From par: fc=125
 ***************************
 * Verbose some parameters *
 ***************************
 nz          300
 ntData          725
 nt         2897
 ntsData           55
 nts          220
 nx          298
 ngx          207
 nkz          430
 nkgx          467
 nbox          367
 ntraces         3726
 nsources           18
 Points triang filt           40
 first_cdp          156
 last_cdp          453
 pad_          50
 src_pad           0
 Global av. vel.    2854.991    
 Vel. min.    1504.453    
 Vel. max.    5496.425    
 Vel. fracc.    1.000000    
 Mult. time step            4
 Max. freq. in data    125.0000    
 dgx    25.00000    
 dx    25.00000    
 dtData   4.0000002E-03
 dt   1.0000000E-03
 dz    10.00000    
 dgxOdx    1.000000    
 Courant number    2.198570    
 Aperture left   2000.000    
 Aperture right   2000.000    
 napL          80
 napR          80
 scalco          -10
 nthreads            1
 snapsht  F
 src_snap            1
 Use ispc?  F
 No. iters (LWI only)?           10
 Current image            1
 Num images            1
  
 
 ********************** MAIN LOOP BEGINS! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      1    104    207      1    207  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		data_format="xdr_float"
		rms_amplitude=1.14803e-07
		mean_amplitude=-2.45886e-11
		min_amplitude=-2.07784e-06
		max_amplitude=2.14342e-06
		nonzero_samples=138351
 Non-zero samples      138351
 rms_amplitude  1.1480289E-07
 mean_amplitude -2.4588607E-11
 max_amplitude  2.1434178E-06
 min_amplitude -2.0778439E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      2    104    414    208    414  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=208
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=9.17696e-07
		mean_amplitude=-2.68603e-11
		min_amplitude=-2.11181e-06
		max_amplitude=2.04808e-06
		nonzero_samples=138357
 Non-zero samples      138357
 rms_amplitude  9.1769596E-07
 mean_amplitude -2.6860313E-11
 max_amplitude  2.0480838E-06
 min_amplitude -2.1118096E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      3    104    621    415    621  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=415
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=2.57736e-06
		mean_amplitude=-2.40541e-11
		min_amplitude=-2.07059e-06
		max_amplitude=1.87604e-06
		nonzero_samples=138365
 Non-zero samples      138365
 rms_amplitude  2.5773554E-06
 mean_amplitude -2.4054090E-11
 max_amplitude  1.8760375E-06
 min_amplitude -2.0705879E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      4    104    828    622    828  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=622
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=4.31677e-06
		mean_amplitude=-2.04041e-11
		min_amplitude=-1.79049e-06
		max_amplitude=1.56847e-06
		nonzero_samples=138363
 Non-zero samples      138363
 rms_amplitude  4.3167674E-06
 mean_amplitude -2.0404109E-11
 max_amplitude  1.5684726E-06
 min_amplitude -1.7904894E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      5    104   1035    829   1035  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=829
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=5.58587e-06
		mean_amplitude=-1.81996e-11
		min_amplitude=-1.23249e-06
		max_amplitude=1.11857e-06
		nonzero_samples=138371
 Non-zero samples      138371
 rms_amplitude  5.5858659E-06
 mean_amplitude -1.8199600E-11
 max_amplitude  1.1185740E-06
 min_amplitude -1.2324914E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      6    104   1242   1036   1242  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1036
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=6.35379e-06
		mean_amplitude=-6.91867e-12
		min_amplitude=-1.31968e-06
		max_amplitude=1.06223e-06
		nonzero_samples=138381
 Non-zero samples      138381
 rms_amplitude  6.3537868E-06
 mean_amplitude -6.9186675E-12
 max_amplitude  1.0622257E-06
 min_amplitude -1.3196832E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      7    104   1449   1243   1449  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1243
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=6.77614e-06
		mean_amplitude=1.10429e-11
		min_amplitude=-1.54886e-06
		max_amplitude=1.20789e-06
		nonzero_samples=138393
 Non-zero samples      138393
 rms_amplitude  6.7761407E-06
 mean_amplitude  1.1042907E-11
 max_amplitude  1.2078867E-06
 min_amplitude -1.5488629E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      8    104   1656   1450   1656  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1450
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=6.99738e-06
		mean_amplitude=2.11046e-11
		min_amplitude=-1.72104e-06
		max_amplitude=1.30951e-06
		nonzero_samples=138406
 Non-zero samples      138406
 rms_amplitude  6.9973821E-06
 mean_amplitude  2.1104637E-11
 max_amplitude  1.3095109E-06
 min_amplitude -1.7210365E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      9    104   1863   1657   1863  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1657
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.11052e-06
		mean_amplitude=1.98677e-11
		min_amplitude=-1.85026e-06
		max_amplitude=1.40961e-06
		nonzero_samples=138413
 Non-zero samples      138413
 rms_amplitude  7.1105151E-06
 mean_amplitude  1.9867713E-11
 max_amplitude  1.4096081E-06
 min_amplitude -1.8502595E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     10    104   2070   1864   2070  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1864
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.16746e-06
		mean_amplitude=1.4591e-11
		min_amplitude=-1.97645e-06
		max_amplitude=1.48261e-06
		nonzero_samples=138425
 Non-zero samples      138425
 rms_amplitude  7.1674563E-06
 mean_amplitude  1.4590971E-11
 max_amplitude  1.4826082E-06
 min_amplitude -1.9764493E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     11    104   2277   2071   2277  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2071
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.19603e-06
		mean_amplitude=8.61743e-12
		min_amplitude=-2.01809e-06
		max_amplitude=1.50562e-06
		nonzero_samples=138428
 Non-zero samples      138428
 rms_amplitude  7.1960312E-06
 mean_amplitude  8.6174306E-12
 max_amplitude  1.5056155E-06
 min_amplitude -2.0180871E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     12    104   2484   2278   2484  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2278
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.21013e-06
		mean_amplitude=1.19546e-13
		min_amplitude=-2.01942e-06
		max_amplitude=1.49268e-06
		nonzero_samples=138437
 Non-zero samples      138437
 rms_amplitude  7.2101302E-06
 mean_amplitude  1.1954616E-13
 max_amplitude  1.4926791E-06
 min_amplitude -2.0194163E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     13    104   2691   2485   2691  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2485
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.2172e-06
		mean_amplitude=-1.14668e-11
		min_amplitude=-1.98808e-06
		max_amplitude=1.46406e-06
		nonzero_samples=138437
 Non-zero samples      138437
 rms_amplitude  7.2172047E-06
 mean_amplitude -1.1466808E-11
 max_amplitude  1.4640584E-06
 min_amplitude -1.9880829E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     14    104   2898   2692   2898  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2692
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.22057e-06
		mean_amplitude=-2.22172e-11
		min_amplitude=-1.93658e-06
		max_amplitude=1.45995e-06
		nonzero_samples=138444
 Non-zero samples      138444
 rms_amplitude  7.2205730E-06
 mean_amplitude -2.2217186E-11
 max_amplitude  1.4599534E-06
 min_amplitude -1.9365750E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     15    104   3105   2899   3105  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2899
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.22209e-06
		mean_amplitude=-2.74166e-11
		min_amplitude=-1.9329e-06
		max_amplitude=1.45009e-06
		nonzero_samples=138451
 Non-zero samples      138451
 rms_amplitude  7.2220919E-06
 mean_amplitude -2.7416616E-11
 max_amplitude  1.4500886E-06
 min_amplitude -1.9328970E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     16    104   3312   3106   3312  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=3106
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.22265e-06
		mean_amplitude=-2.69458e-11
		min_amplitude=-1.92269e-06
		max_amplitude=1.42858e-06
		nonzero_samples=138459
 Non-zero samples      138459
 rms_amplitude  7.2226494E-06
 mean_amplitude -2.6945824E-11
 max_amplitude  1.4285786E-06
 min_amplitude -1.9226918E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     17    104   3519   3313   3519  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=3313
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.22294e-06
		mean_amplitude=-2.41638e-11
		min_amplitude=-1.8851e-06
		max_amplitude=1.39228e-06
		nonzero_samples=138459
 Non-zero samples      138459
 rms_amplitude  7.2229441E-06
 mean_amplitude -2.4163792E-11
 max_amplitude  1.3922823E-06
 min_amplitude -1.8851005E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     18    104   3726   3520   3725  206
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=3520
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.22315e-06
		mean_amplitude=-2.08212e-11
		min_amplitude=-1.81409e-06
		max_amplitude=1.37193e-06
		nonzero_samples=138457
 Non-zero samples      138457
 rms_amplitude  7.2231514E-06
 mean_amplitude -2.0821230E-11
 max_amplitude  1.3719327E-06
 min_amplitude -1.8140853E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
		timer sum (sec)=573.013
		timer sum (min)=9.55022
 timer sum (sec)   573.0130    
 timer sum (min)   9.550217    
  
 Finishing the nonlin2d program normally!
