 
**************************************************************
*** 2D Non-linear Modeling using FD with Lax-Wendroff method *
*** Author: Alejandro Cabrales                               *
*** Stanford Exploration Project/Petroleos Mexicanos, 2017   *
**************************************************************
 
 read_parameters: Reading parameters from command line


Segy2sep:   cabrales@storm.stanford.edu   Thu Mar 23 18:00:41 2017
		sets next: in="/scr1/cabrales/Marm_model.H@"
		junkME=0
		hff="Marm_model.H@@"
		same_record_number=1
	 	n2=1 o2=1 d2=1 label2="trace number" 

n3=1 n4=1 n5=1 n6=1 n7=1 n8=1 n9=1 

	n1=300  o1=0.000000  d1=0.000000   label1="none"   unit1="none"
		gff="-1"
		esize=4
		data_format="xdr_float"
		junkME=0
		same_record_number=1
	 	n2=298 o2=3875 d2=25 label2="trace number" 

n3=1 n4=1 n5=1 n6=1 n7=1 n8=1 n9=1 

	n1=300  o1=0.000000  d1=10.0   label1="none"   unit1="none"
		gff="-1"
		esize=4


/opt/SEP/SEP7.0/bin/Math:   cabrales@storm.stanford.edu   Sat Apr  8 23:38:29 2017
		sepstr_ready_out() : sets next in="stdin"
		esize=4
	#Using 1/file1/file1 to produce real data

		#file1="Marmousi/Dat/Marm_model.H"
		data_format="xdr_float"


Smooth:   cabrales@storm.stanford.edu   Sat Apr  8 23:38:29 2017
		sets next: in="/scr1/cabrales/Smooth@1X9djA"
	Data smoothed with tridiagonal solver leaky().
		Data smoothed with: rect1=2
		Data smoothed with: rect2=2
		Data smoothed with: rect3=1
		data_format="xdr_float"



/opt/SEP/SEP7.0/bin/Math:   cabrales@storm.stanford.edu   Sat Apr  8 23:38:29 2017
		sets next: in="./Marmousi/Dat/Marm_model_nl.H@"
		esize=4
	#Using 1/file1^0.5 to produce real data

		#file1="Marmousi/Dat/slow.H"
		data_format="xdr_float"


./Bin/nonlin2d.x:   cabrales@storm.stanford.edu   Sun Apr  9 01:47:46 2017
		sets next: in="/data1/wrk/sep168/alejandro1/nonlin2d.x@DnEXGY"
		From par: vel_frac=1
		From par: wavelet_fn="./Marmousi/Wvt/Marm_wavelet_nl.H"
		From par: reflfile="none"
		From par: datafile="./Marmousi/Dat/Marm_shots_13.H"
		From par: npts=40
		From par: apertureL=2000
		From par: apertureR=2000
		From par: scalco_override=-10
		From par: frac_time=1
		From par: nthreads=1
		From par: one_src="n"
		From par: nts=55
		From par: verb_src="n"
		From par: pad=50
		From par: zpad=30
		From par: thetac=90
		From par: alpha=0
		From par: eic="y"
		From par: override_sx_header="n"
		From par: ox_shift=0
		From par: snapsht="n"
		From par: src_snap=1
		From par: niter=10
 read_parameters: Finishing reading parameters
 read_history: Reading parameters from history files
 read_history: Finishing reading history files
 Reading the input headers
 Compute data with input parameters from data file
 read_velocity: Begin reading velocities...
 read_velocity: Finish reading velocities.
 Prepare geometric arrays for sources
 End geometric arrays for sources
		hff="./Dat/Marm_nonlin_13.H@@"
		From par: fc=125
 ***************************
 * Verbose some parameters *
 ***************************
 nz          300
 ntData          725
 nt         2897
 ntsData           55
 nts          220
 nx          298
 ngx          207
 nkz          430
 nkgx          467
 nbox          367
 ntraces         3726
 nsources           18
 Points triang filt           40
 first_cdp          156
 last_cdp          453
 pad_          50
 src_pad           0
 Global av. vel.    2854.991    
 Vel. min.    1504.453    
 Vel. max.    5496.425    
 Vel. fracc.    1.000000    
 Mult. time step            4
 Max. freq. in data    125.0000    
 dgx    25.00000    
 dx    25.00000    
 dtData   4.0000002E-03
 dt   1.0000000E-03
 dz    10.00000    
 dgxOdx    1.000000    
 Courant number    2.198570    
 Aperture left   2000.000    
 Aperture right   2000.000    
 napL          80
 napR          80
 scalco          -10
 nthreads            1
 snapsht  F
 src_snap            1
 Use ispc?  F
 No. iters (LWI only)?           10
 Current image            1
 Num images            1
  
 
 ********************** MAIN LOOP BEGINS! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      1    104    207      1    207  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		data_format="xdr_float"
		rms_amplitude=1.14995e-07
		mean_amplitude=-1.61847e-11
		min_amplitude=-1.71573e-06
		max_amplitude=1.32199e-06
		nonzero_samples=138463
 Non-zero samples      138463
 rms_amplitude  1.1499502E-07
 mean_amplitude -1.6184694E-11
 max_amplitude  1.3219949E-06
 min_amplitude -1.7157344E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      2    104    414    208    414  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=208
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=9.18413e-07
		mean_amplitude=-1.09289e-11
		min_amplitude=-1.62327e-06
		max_amplitude=1.24712e-06
		nonzero_samples=138477
 Non-zero samples      138477
 rms_amplitude  9.1841315E-07
 mean_amplitude -1.0928890E-11
 max_amplitude  1.2471182E-06
 min_amplitude -1.6232724E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      3    104    621    415    621  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=415
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=2.57756e-06
		mean_amplitude=-8.22666e-12
		min_amplitude=-1.54369e-06
		max_amplitude=1.19228e-06
		nonzero_samples=138474
 Non-zero samples      138474
 rms_amplitude  2.5775605E-06
 mean_amplitude -8.2266615E-12
 max_amplitude  1.1922789E-06
 min_amplitude -1.5436942E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      4    104    828    622    828  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=622
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=4.3153e-06
		mean_amplitude=-8.98532e-12
		min_amplitude=-1.45338e-06
		max_amplitude=1.12748e-06
		nonzero_samples=138481
 Non-zero samples      138481
 rms_amplitude  4.3152954E-06
 mean_amplitude -8.9853186E-12
 max_amplitude  1.1274817E-06
 min_amplitude -1.4533806E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      5    104   1035    829   1035  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=829
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=5.58286e-06
		mean_amplitude=-9.16099e-12
		min_amplitude=-1.41532e-06
		max_amplitude=1.14122e-06
		nonzero_samples=138483
 Non-zero samples      138483
 rms_amplitude  5.5828623E-06
 mean_amplitude -9.1609897E-12
 max_amplitude  1.1412189E-06
 min_amplitude -1.4153196E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      6    104   1242   1036   1242  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1036
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=6.34964e-06
		mean_amplitude=-6.53813e-12
		min_amplitude=-1.45399e-06
		max_amplitude=1.14513e-06
		nonzero_samples=138495
 Non-zero samples      138495
 rms_amplitude  6.3496391E-06
 mean_amplitude -6.5381298E-12
 max_amplitude  1.1451301E-06
 min_amplitude -1.4539902E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      7    104   1449   1243   1449  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1243
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=6.77156e-06
		mean_amplitude=-3.76519e-12
		min_amplitude=-1.46764e-06
		max_amplitude=1.13868e-06
		nonzero_samples=138496
 Non-zero samples      138496
 rms_amplitude  6.7715605E-06
 mean_amplitude -3.7651878E-12
 max_amplitude  1.1386813E-06
 min_amplitude -1.4676363E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      8    104   1656   1450   1656  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1450
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=6.99288e-06
		mean_amplitude=-2.35333e-12
		min_amplitude=-1.45728e-06
		max_amplitude=1.13555e-06
		nonzero_samples=138496
 Non-zero samples      138496
 rms_amplitude  6.9928806E-06
 mean_amplitude -2.3533324E-12
 max_amplitude  1.1355521E-06
 min_amplitude -1.4572780E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18      9    104   1863   1657   1863  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1657
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.10623e-06
		mean_amplitude=-9.84654e-13
		min_amplitude=-1.45474e-06
		max_amplitude=1.10384e-06
		nonzero_samples=138495
 Non-zero samples      138495
 rms_amplitude  7.1062345E-06
 mean_amplitude -9.8465442E-13
 max_amplitude  1.1038428E-06
 min_amplitude -1.4547444E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     10    104   2070   1864   2070  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1864
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.16345e-06
		mean_amplitude=-4.13221e-13
		min_amplitude=-1.44865e-06
		max_amplitude=1.09671e-06
		nonzero_samples=138500
 Non-zero samples      138500
 rms_amplitude  7.1634518E-06
 mean_amplitude -4.1322089E-13
 max_amplitude  1.0967146E-06
 min_amplitude -1.4486492E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     11    104   2277   2071   2277  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2071
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.19222e-06
		mean_amplitude=-1.63986e-12
		min_amplitude=-1.41963e-06
		max_amplitude=1.05574e-06
		nonzero_samples=138500
 Non-zero samples      138500
 rms_amplitude  7.1922173E-06
 mean_amplitude -1.6398608E-12
 max_amplitude  1.0557420E-06
 min_amplitude -1.4196287E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     12    104   2484   2278   2484  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2278
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.20663e-06
		mean_amplitude=-3.31792e-12
		min_amplitude=-1.39023e-06
		max_amplitude=1.02019e-06
		nonzero_samples=138500
 Non-zero samples      138500
 rms_amplitude  7.2066346E-06
 mean_amplitude -3.3179156E-12
 max_amplitude  1.0201906E-06
 min_amplitude -1.3902345E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     13    104   2691   2485   2691  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2485
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.21381e-06
		mean_amplitude=-4.18418e-12
		min_amplitude=-1.34988e-06
		max_amplitude=9.91812e-07
		nonzero_samples=138502
 Non-zero samples      138502
 rms_amplitude  7.2138073E-06
 mean_amplitude -4.1841829E-12
 max_amplitude  9.9181170E-07
 min_amplitude -1.3498849E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     14    104   2898   2692   2898  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2692
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.2174e-06
		mean_amplitude=-4.75612e-12
		min_amplitude=-1.32975e-06
		max_amplitude=9.61784e-07
		nonzero_samples=138502
 Non-zero samples      138502
 rms_amplitude  7.2174034E-06
 mean_amplitude -4.7561191E-12
 max_amplitude  9.6178360E-07
 min_amplitude -1.3297496E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     15    104   3105   2899   3105  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2899
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.21902e-06
		mean_amplitude=-6.04418e-12
		min_amplitude=-1.38568e-06
		max_amplitude=9.85997e-07
		nonzero_samples=138509
 Non-zero samples      138509
 rms_amplitude  7.2190242E-06
 mean_amplitude -6.0441790E-12
 max_amplitude  9.8599696E-07
 min_amplitude -1.3856803E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     16    104   3312   3106   3312  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=3106
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.2198e-06
		mean_amplitude=-8.51766e-12
		min_amplitude=-1.44528e-06
		max_amplitude=1.01955e-06
		nonzero_samples=138511
 Non-zero samples      138511
 rms_amplitude  7.2197963E-06
 mean_amplitude -8.5176588E-12
 max_amplitude  1.0195549E-06
 min_amplitude -1.4452805E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     17    104   3519   3313   3519  207
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=3313
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.2201e-06
		mean_amplitude=-9.6654e-12
		min_amplitude=-1.48056e-06
		max_amplitude=1.06791e-06
		nonzero_samples=138514
 Non-zero samples      138514
 rms_amplitude  7.2201046E-06
 mean_amplitude -9.6653978E-12
 max_amplitude  1.0679078E-06
 min_amplitude -1.4805626E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     18     18    104   3726   3520   3725  206
		title="Born modeled shot"
		n1=725
		n2=3726
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=3520
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.22023e-06
		mean_amplitude=-5.9765e-12
		min_amplitude=-1.49775e-06
		max_amplitude=1.12652e-06
		nonzero_samples=138515
 Non-zero samples      138515
 rms_amplitude  7.2202342E-06
 mean_amplitude -5.9765023E-12
 max_amplitude  1.1265232E-06
 min_amplitude -1.4977543E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
		timer sum (sec)=595.106
		timer sum (min)=9.91843
 timer sum (sec)   595.1060    
 timer sum (min)   9.918433    
  
 Finishing the nonlin2d program normally!
