 
**************************************************************
*** 2D Non-linear Modeling using FD with Lax-Wendroff method *
*** Author: Alejandro Cabrales                               *
*** Stanford Exploration Project/Petroleos Mexicanos, 2017   *
**************************************************************
 
 read_parameters: Reading parameters from command line


Segy2sep:   cabrales@storm.stanford.edu   Thu Mar 23 18:00:41 2017
		sets next: in="/scr1/cabrales/Marm_model.H@"
		junkME=0
		hff="Marm_model.H@@"
		same_record_number=1
	 	n2=1 o2=1 d2=1 label2="trace number" 

n3=1 n4=1 n5=1 n6=1 n7=1 n8=1 n9=1 

	n1=300  o1=0.000000  d1=0.000000   label1="none"   unit1="none"
		gff="-1"
		esize=4
		data_format="xdr_float"
		junkME=0
		same_record_number=1
	 	n2=298 o2=3875 d2=25 label2="trace number" 

n3=1 n4=1 n5=1 n6=1 n7=1 n8=1 n9=1 

	n1=300  o1=0.000000  d1=10.0   label1="none"   unit1="none"
		gff="-1"
		esize=4


/opt/SEP/SEP7.0/bin/Math:   cabrales@storm.stanford.edu   Sat Apr  8 23:38:29 2017
		sepstr_ready_out() : sets next in="stdin"
		esize=4
	#Using 1/file1/file1 to produce real data

		#file1="Marmousi/Dat/Marm_model.H"
		data_format="xdr_float"


Smooth:   cabrales@storm.stanford.edu   Sat Apr  8 23:38:29 2017
		sets next: in="/scr1/cabrales/Smooth@1X9djA"
	Data smoothed with tridiagonal solver leaky().
		Data smoothed with: rect1=2
		Data smoothed with: rect2=2
		Data smoothed with: rect3=1
		data_format="xdr_float"



/opt/SEP/SEP7.0/bin/Math:   cabrales@storm.stanford.edu   Sat Apr  8 23:38:29 2017
		sets next: in="./Marmousi/Dat/Marm_model_nl.H@"
		esize=4
	#Using 1/file1^0.5 to produce real data

		#file1="Marmousi/Dat/slow.H"
		data_format="xdr_float"


./Bin/nonlin2d.x:   cabrales@storm.stanford.edu   Sun Apr  9 01:47:46 2017
		sets next: in="/data1/wrk/sep168/alejandro1/nonlin2d.x@VOAbIY"
		From par: vel_frac=1
		From par: wavelet_fn="./Marmousi/Wvt/Marm_wavelet_nl.H"
		From par: reflfile="none"
		From par: datafile="./Marmousi/Dat/Marm_shots_16.H"
		From par: npts=40
		From par: apertureL=2000
		From par: apertureR=2000
		From par: scalco_override=-10
		From par: frac_time=1
		From par: nthreads=1
		From par: one_src="n"
		From par: nts=55
		From par: verb_src="n"
		From par: pad=50
		From par: zpad=30
		From par: thetac=90
		From par: alpha=0
		From par: eic="y"
		From par: override_sx_header="n"
		From par: ox_shift=0
		From par: snapsht="n"
		From par: src_snap=1
		From par: niter=10
 read_parameters: Finishing reading parameters
 read_history: Reading parameters from history files
 read_history: Finishing reading history files
 Reading the input headers
 Compute data with input parameters from data file
 read_velocity: Begin reading velocities...
 read_velocity: Finish reading velocities.
 Prepare geometric arrays for sources
 End geometric arrays for sources
		hff="./Dat/Marm_nonlin_16.H@@"
		From par: fc=125
 ***************************
 * Verbose some parameters *
 ***************************
 nz          300
 ntData          725
 nt         2897
 ntsData           55
 nts          220
 nx          298
 ngx          207
 nkz          430
 nkgx          467
 nbox          367
 ntraces         3519
 nsources           17
 Points triang filt           40
 first_cdp          156
 last_cdp          453
 pad_          50
 src_pad           0
 Global av. vel.    2854.991    
 Vel. min.    1504.453    
 Vel. max.    5496.425    
 Vel. fracc.    1.000000    
 Mult. time step            4
 Max. freq. in data    125.0000    
 dgx    25.00000    
 dx    25.00000    
 dtData   4.0000002E-03
 dt   1.0000000E-03
 dz    10.00000    
 dgxOdx    1.000000    
 Courant number    2.198570    
 Aperture left   2000.000    
 Aperture right   2000.000    
 napL          80
 napR          80
 scalco          -10
 nthreads            1
 snapsht  F
 src_snap            1
 Use ispc?  F
 No. iters (LWI only)?           10
 Current image            1
 Num images            1
  
 
 ********************** MAIN LOOP BEGINS! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     17      1    104    207      1    207  207
		title="Born modeled shot"
		n1=725
		n2=3519
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		data_format="xdr_float"
		rms_amplitude=1.23915e-07
		mean_amplitude=5.79068e-12
		min_amplitude=-1.46344e-06
		max_amplitude=1.21534e-06
		nonzero_samples=138731
 Non-zero samples      138731
 rms_amplitude  1.2391540E-07
 mean_amplitude  5.7906843E-12
 max_amplitude  1.2153428E-06
 min_amplitude -1.4634410E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     17      2    104    414    208    414  207
		title="Born modeled shot"
		n1=725
		n2=3519
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=208
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=9.5289e-07
		mean_amplitude=4.31695e-12
		min_amplitude=-1.46764e-06
		max_amplitude=1.2192e-06
		nonzero_samples=138742
 Non-zero samples      138742
 rms_amplitude  9.5288954E-07
 mean_amplitude  4.3169452E-12
 max_amplitude  1.2192036E-06
 min_amplitude -1.4676384E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     17      3    104    621    415    621  207
		title="Born modeled shot"
		n1=725
		n2=3519
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=415
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=2.62324e-06
		mean_amplitude=1.18288e-12
		min_amplitude=-1.45475e-06
		max_amplitude=1.1744e-06
		nonzero_samples=138733
 Non-zero samples      138733
 rms_amplitude  2.6232367E-06
 mean_amplitude  1.1828818E-12
 max_amplitude  1.1744006E-06
 min_amplitude -1.4547494E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     17      4    104    828    622    828  207
		title="Born modeled shot"
		n1=725
		n2=3519
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=622
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=4.34948e-06
		mean_amplitude=-2.93992e-12
		min_amplitude=-1.44162e-06
		max_amplitude=1.20696e-06
		nonzero_samples=138745
 Non-zero samples      138745
 rms_amplitude  4.3494815E-06
 mean_amplitude -2.9399220E-12
 max_amplitude  1.2069584E-06
 min_amplitude -1.4416211E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     17      5    104   1035    829   1035  207
		title="Born modeled shot"
		n1=725
		n2=3519
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=829
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=5.59972e-06
		mean_amplitude=-5.54317e-12
		min_amplitude=-1.40866e-06
		max_amplitude=1.20914e-06
		nonzero_samples=138751
 Non-zero samples      138751
 rms_amplitude  5.5997170E-06
 mean_amplitude -5.5431744E-12
 max_amplitude  1.2091401E-06
 min_amplitude -1.4086581E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     17      6    104   1242   1036   1242  207
		title="Born modeled shot"
		n1=725
		n2=3519
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1036
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=6.35349e-06
		mean_amplitude=-4.55747e-12
		min_amplitude=-1.37739e-06
		max_amplitude=1.24597e-06
		nonzero_samples=138753
 Non-zero samples      138753
 rms_amplitude  6.3534899E-06
 mean_amplitude -4.5574681E-12
 max_amplitude  1.2459682E-06
 min_amplitude -1.3773865E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     17      7    104   1449   1243   1449  207
		title="Born modeled shot"
		n1=725
		n2=3519
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1243
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=6.76747e-06
		mean_amplitude=-1.31219e-12
		min_amplitude=-1.34481e-06
		max_amplitude=1.20162e-06
		nonzero_samples=138755
 Non-zero samples      138755
 rms_amplitude  6.7674664E-06
 mean_amplitude -1.3121933E-12
 max_amplitude  1.2016224E-06
 min_amplitude -1.3448147E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     17      8    104   1656   1450   1656  207
		title="Born modeled shot"
		n1=725
		n2=3519
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1450
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=6.98436e-06
		mean_amplitude=1.38006e-12
		min_amplitude=-1.3041e-06
		max_amplitude=1.16702e-06
		nonzero_samples=138757
 Non-zero samples      138757
 rms_amplitude  6.9843604E-06
 mean_amplitude  1.3800600E-12
 max_amplitude  1.1670213E-06
 min_amplitude -1.3040953E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     17      9    104   1863   1657   1863  207
		title="Born modeled shot"
		n1=725
		n2=3519
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1657
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.09511e-06
		mean_amplitude=1.8352e-12
		min_amplitude=-1.27817e-06
		max_amplitude=1.10591e-06
		nonzero_samples=138767
 Non-zero samples      138767
 rms_amplitude  7.0951146E-06
 mean_amplitude  1.8352039E-12
 max_amplitude  1.1059069E-06
 min_amplitude -1.2781652E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     17     10    104   2070   1864   2070  207
		title="Born modeled shot"
		n1=725
		n2=3519
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=1864
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.15092e-06
		mean_amplitude=1.45387e-12
		min_amplitude=-1.26984e-06
		max_amplitude=1.03843e-06
		nonzero_samples=138775
 Non-zero samples      138775
 rms_amplitude  7.1509166E-06
 mean_amplitude  1.4538660E-12
 max_amplitude  1.0384292E-06
 min_amplitude -1.2698440E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     17     11    104   2277   2071   2277  207
		title="Born modeled shot"
		n1=725
		n2=3519
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2071
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.17888e-06
		mean_amplitude=1.98425e-12
		min_amplitude=-1.25917e-06
		max_amplitude=1.06164e-06
		nonzero_samples=138778
 Non-zero samples      138778
 rms_amplitude  7.1788850E-06
 mean_amplitude  1.9842500E-12
 max_amplitude  1.0616382E-06
 min_amplitude -1.2591746E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     17     12    104   2484   2278   2484  207
		title="Born modeled shot"
		n1=725
		n2=3519
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2278
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.19258e-06
		mean_amplitude=3.45304e-12
		min_amplitude=-1.26413e-06
		max_amplitude=1.06228e-06
		nonzero_samples=138790
 Non-zero samples      138790
 rms_amplitude  7.1925838E-06
 mean_amplitude  3.4530397E-12
 max_amplitude  1.0622832E-06
 min_amplitude -1.2641283E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     17     13    104   2691   2485   2691  207
		title="Born modeled shot"
		n1=725
		n2=3519
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2485
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.19928e-06
		mean_amplitude=5.09654e-12
		min_amplitude=-1.28713e-06
		max_amplitude=1.08157e-06
		nonzero_samples=138796
 Non-zero samples      138796
 rms_amplitude  7.1992799E-06
 mean_amplitude  5.0965421E-12
 max_amplitude  1.0815728E-06
 min_amplitude -1.2871299E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     17     14    104   2898   2692   2898  207
		title="Born modeled shot"
		n1=725
		n2=3519
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2692
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.20226e-06
		mean_amplitude=6.70186e-12
		min_amplitude=-1.31567e-06
		max_amplitude=1.11363e-06
		nonzero_samples=138810
 Non-zero samples      138810
 rms_amplitude  7.2022603E-06
 mean_amplitude  6.7018639E-12
 max_amplitude  1.1136310E-06
 min_amplitude -1.3156657E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     17     15    104   3105   2899   3105  207
		title="Born modeled shot"
		n1=725
		n2=3519
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=2899
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.20346e-06
		mean_amplitude=7.99131e-12
		min_amplitude=-1.3476e-06
		max_amplitude=1.12748e-06
		nonzero_samples=138821
 Non-zero samples      138821
 rms_amplitude  7.2034613E-06
 mean_amplitude  7.9913064E-12
 max_amplitude  1.1274848E-06
 min_amplitude -1.3476047E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     17     16    104   3312   3106   3312  207
		title="Born modeled shot"
		n1=725
		n2=3519
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=3106
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.20396e-06
		mean_amplitude=8.47738e-12
		min_amplitude=-1.3818e-06
		max_amplitude=1.14122e-06
		nonzero_samples=138825
 Non-zero samples      138825
 rms_amplitude  7.2039616E-06
 mean_amplitude  8.4773846E-12
 max_amplitude  1.1412156E-06
 min_amplitude -1.3818026E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
No. sources,curr source,shot pos.,source_index,first_geof,last_geof,ngeof     17     17    104   3519   3313   3518  206
		title="Born modeled shot"
		n1=725
		n2=3519
		n3=1
		d1=0.004
		d2=1
		d3=1
		dt=0.004
		dcdp=25
		dline=1
		o1=0
		o2=3313
		o3=1
		label1="twt"
		label2="rec no."
		label3=""
		unit1="none"
		unit2=""
		unit3="none"
		esize=4
		rms_amplitude=7.20385e-06
		mean_amplitude=7.60271e-12
		min_amplitude=-1.40887e-06
		max_amplitude=1.14513e-06
		nonzero_samples=138839
 Non-zero samples      138839
 rms_amplitude  7.2038451E-06
 mean_amplitude  7.6027093E-12
 max_amplitude  1.1451289E-06
 min_amplitude -1.4088700E-06
		title="Non-linear modeled shot"
 
 ********************** MAIN LOOP FINISHES! ***********************
 
		timer sum (sec)=552.856
		timer sum (min)=9.21427
 timer sum (sec)   552.8560    
 timer sum (min)   9.214267    
  
 Finishing the nonlin2d program normally!
