submodule(src_rcv_interp_mod) src_rcv_interp_mod_implementation
  implicit none
contains
  module procedure interp
    if(adj) then
      rcv = 0
    else
      r = 0
    end if
    do j0 = 1,size(rcv)-1
      do j1 = 1,nt_fact
        ft = real(j1-1)/real(nt_fact)
        if(adj) then
          rcv(j0) = (1.0-ft)*r(j1+(j0-1)*nt_fact)
          rcv(j0+1) = ft*r(j1+(j0-1)*nt_fact)
        else
          r(j1+(j0-1)*nt_fact) = (1.0-ft)*rcv(j0)+ft*rcv(j0+1)
        end if
      end do
    end do
  end procedure
end submodule
