module abstract_propagation_mod
  !! This module contains the abstract type from where
  !! forward propagation extends
  implicit none
  private
  public :: abst_prop

  type, abstract :: abst_prop
  contains
    procedure(fwd_prop_interface), deferred :: fwd_prop
  end type

  abstract interface
    subroutine fwd_prop_interface(this) !,ispc)
      import :: abst_prop
      class(abst_prop), intent(inout) :: this
!      logical, intent(in) :: ispc
    end subroutine
  end interface

end module
