module assertions
  use iso_fortran_env, only : error_unit
  use skull_mod
  implicit none
  contains
  subroutine assert(assertion,description)
    logical, intent(in) :: assertion
    character(len=*), intent(in) :: description
    if (.not. assertion) then
       call skull()
       write (error_unit,"(3a)") "Assertion '",description,"'failed."
       error stop
     end if
  end subroutine
end module

