submodule(born_op_mod) born_op_mod_implementation
  implicit none
contains

  module procedure born_op_init1
    allocate(par,  source=par_in)
    allocate(image,source=image_in)
    allocate(born, source=born_in)
    nt  =par%nt
    nkz =par%nkz
    nkgx=par%nkgx
    allocate(temp(nkz,nkgx))
  end procedure

  module procedure born_op_init2
    allocate(vel,source=vel_in)
    allocate(ref,source=ref_in)
    allocate(fwd,source=fwd_in)
    allocate(bwd,source=bwd_in)
    jsources=jsources_in
  end procedure

  module procedure born_op
    call born_op2(adj,add,model,data_)
    stat=0
  end procedure

  module procedure born_op2
    if(adj) then
      if(.not. add) model=0.
      par%rcv=data_
      call image%rtm(par,fwd,bwd,jsources) 
      model=image%num
    else
      if(.not. add) data_=0.
      temp=model
      call born%born(par,fwd,vel,ref,jsources,temp)
      data_=born%dsynt
    end if 
  end procedure

  module procedure born_op_deallocate
    deallocate(vel)
    deallocate(ref)
    deallocate(fwd)
    deallocate(bwd)
  end procedure

end submodule
