module interp1d_mod
  implicit none
  integer, private :: jd, jm
  real, private    :: fx, gx
 
  interface
    module function interp1d_lop(adj, add, m, d) result(stat)
      implicit none
      integer             :: stat
      logical, intent(in) :: adj, add
      real, dimension(:)  :: m, d
    end function
  
    module subroutine interp1d_lop2(adj, add, m, d)
    !! I borrowed this from SEPlib to interpolate from staggered grid to regular grid
      implicit none
      real, dimension(:) :: m, d
      logical, intent(in) :: adj
      logical, intent(in) :: add
    end subroutine
  end interface
end module
