submodule(interp1d_mod) interp1d_mod_implementaion
  implicit none

contains
  module procedure interp1d_lop
    call interp1d_lop2(adj, add, m, d)
    stat=0
  end procedure

  module procedure interp1d_lop2
    if(adj) then
      if(.not. add) m=0
    else
      if(.not. add) d=0
    end if
    gx=0.5
    fx=0.5
    if(adj) then
      do jd=1,size(d)
        jm=jd
        if(jm > 1 .and. jm <= size(m)) then
          m(jm-1)= m(jm-1)+gx*d(jd)
          m(jm)  = m(jm)  +fx*d(jd)
        end if
      end do
    else
      do jd=1,size(d)
        jm=jd
        if(jm > 1 .and. jm <= size(m)) then
          d(jd)=d(jd)+gx*m(jm-1)+fx*m(jm)
        end if
      end do
    end if
  end procedure

end submodule
