module rshot_mod
  use read_mod, only : read_
  use vshot_mod, only : vshot_foo
  implicit none
  private
  public :: rshot_foo

  type(read_), allocatable :: parb

  type, extends(vshot_foo) :: rshot_foo
  contains
    procedure, nopass :: rshot_init
    procedure :: rshot
  end type

  interface
    pure module subroutine rshot_init(par_inout)
      implicit none
      class(read_), intent(inout) :: par_inout
    end subroutine
  
    pure module subroutine rshot(this,par,reflshot,sgx)
      implicit none
      class(rshot_foo), intent(in) :: this
      type(read_), intent(in) :: par
      real, intent(in)  :: sgx(:)
      real, intent(out) :: reflshot(:,:) 
    end subroutine
  end interface
end module

