submodule(wemva_op_mod) wemva_op_mod_implementation
  implicit none
contains

  module procedure wemva_op_init1
    allocate(par,  source=par_in)
    allocate(wemva,source=wemva_in)
    nt  =par%nt
    nkz =par%nkz
    nkgx=par%nkgx
    allocate(temp(nkz,nkgx))
  end procedure

  module procedure wemva_op_init2
    allocate(vel,source=vel_in)
    allocate(ref,source=ref_in)
    allocate(fwd,source=fwd_in)
    allocate(bwd,source=bwd_in)
    jsources=jsources_in
    par%rcv=rcv
  end procedure

  module procedure wemva_op
    call wemva_op2(adj,add,model,data_)
    stat=0
  end procedure

  module procedure wemva_op2
    if(adj) then
      par%cos2thc=-1.
      if(.not. add) model=0.
      temp=data_
      call wemva%wemva(par,fwd,bwd,vel,ref,jsources,temp) 
      model=model+wemva%perturb
    else
      par%cos2thc=1.
      if(.not. add) data_=0.
      temp=model
      call wemva%wemva(par,fwd,bwd,vel,ref,jsources,temp)
      data_=data_+wemva%perturb
    end if 
  end procedure

  module procedure wemva_op_deallocate
    deallocate(vel)
    deallocate(ref)
    deallocate(fwd)
!write(0,*) 'Control point'    
!stop
    deallocate(bwd)
  end procedure

end submodule
